## net.i2p.client
Class DisconnectMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.DisconnectMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class DisconnectMessageHandler

extends HandlerImpl

Handle I2CP disconnect messages from the router

Author:
  jrandom

Field Summary

Fields inherited from class net.i2p.client.HandlerImpl
`_context, _log`

Constructor Summary
`DisconnectMessageHandler(I2PAppContext context)`

Method Summary
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class net.i2p.client.HandlerImpl
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisconnectMessageHandler

    public DisconnectMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)